sudo mkfs -t xfs /dev/nvme2n1
sudo mkdir /ncdata
sudo chmod 777 /ncdata
echo "UUID="c1ffe34b-e0d3-48d2-8599-ec43c824f114"    /opt   xfs    defaults,nofail        0       2" | sudo tee -a /etc/fstab
sudo systemctl daemon-reload
sudo mount /data

# Install docker
curl -fsSL https://get.docker.com | sudo sh            
usermod -aG docker ssm-user
usermod -aG docker ubuntu

# Create Database
sudo su postgres
psql
CREATE USER bitwarden WITH PASSWORD 'xHR8z58CtnVqMVxRKtZN';
CREATE DATABASE bitwarden WITH OWNER bitwarden;




Reference:  https://github.com/nextcloud/all-in-one
NC AIO password: trident provoking delouse unlimited finite hut capped poem

Credentials:
admin:  1a70e513b4c19b4d49eb6f0fbf193923263385e12a436edb

# For Linux and without a web server or reverse proxy (like Apache, Nginx, Cloudflare Tunnel and else) already in place:
sudo docker run \
--init \
--sig-proxy=false \
--name nextcloud-aio-mastercontainer \
--restart always \
--publish 80:80 \
--publish 8080:8080 \
--publish 8443:8443 \
--volume nextcloud_aio_mastercontainer:/mnt/docker-aio-config \
--volume /var/run/docker.sock:/var/run/docker.sock:ro \
--env NEXTCLOUD_DATADIR="/ncdata" \
nextcloud/all-in-one:latest

